// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package apis

type DwsMessage struct {
	OdsMsgType    string  `json:"ods_msg_type"`
	SourceCode    string  `json:"source_code"`     // 来源编码
	OfflineTaskId int64   `json:"offline_task_id"` // 离线消息任务id
	TaskList      []int32 `json:"task_list"`       // 任务列表
	//SourceLevel int `json:"source_level"`  // 源层级
	//Step int `json:"step"` // 步数
	Content   string `json:"content"`
	Timestamp int64  `json:"timestamp"`
	MsgLen    int    `json:"-"`
}

type AdsMessage struct {
	OdsMsgType    string  `json:"ods_msg_type"`
	SourceCode    string  `json:"source_code"`     //告诉ads层数据来源
	OfflineTaskId int64   `json:"offline_task_id"` // 离线消息任务id
	TaskList      []int32 `json:"task_list"`       // 任务列表
	Action        string  `json:"action"`
	//Step int `json:"step"` // 步数
	Content   string `json:"content"`
	Timestamp int64  `json:"timestamp"`
}
