// Copyright 2019 getensh.cc. All rights reserved.
// Use of this source code is governed by getensh.cc.

package consts

// 定义数据来源大类
const (
	ODSPROVIDERLOG     = "provider-log"   // 数据源日志
	ODSGDLOG          = "gd-log"        // gd日志
	ODSMANUALAMENDMENT = "manual"         // 人工修正
	ODSOFFLINEIMPORT   = "offline-import" // 离线导入
)

// 定义过期或不过期数据
const (
	NORMALDATA = "0"
	EXPIREDATA = "1"
)

// 数据来源手动和非手动，手动修改数据优先级最高
const (
	SOURCENORML           = 0 // 数据源或者离线处理日志
	SOURCEMANUALAMENDMENT = 1 // 人工修正
)

// 定义数据来源编号
const (
	SOURCEODS1  = "ODS001"
	SOURCEODS2  = "ODS002"
	SOURCEDWS1  = "DWS001"
	SOURCEDWS2  = "DWS002"
	SOURCEDWS3  = "DWS003"
	SOURCEDWS4  = "DWS004"
	SOURCEDWS5  = "DWS005"
	SOURCEDWS6  = "DWS006"
	SOURCEDWS7  = "DWS007"
	SOURCEDWS8  = "DWS008"
	SOURCEDWS9  = "DWS009"
	SOURCEDWS10 = "DWS010"
	SOURCEDWS11 = "DWS011"
	SOURCEDWS12 = "DWS012"
	SOURCEDWS13 = "DWS013"
	SOURCEDWS14 = "DWS014"
	SOURCEDWS15 = "DWS015"
	SOURCEDWS16 = "DWS016"
	SOURCEDWS17 = "DWS017"
	SOURCEADS1  = "ADS001"
	SOURCEADS2  = "ADS002"
)

const (
	ACTIONINSERT = "insert"
	ACTIONUPDATE = "update"
	ACTIONDELETE = "delete"
)

const (
	ONLINE  = "online"
	OFFLINE = "offline"
)

const (
	ADSMSGTYPE = 1
	DWSMSGTYPE = 2
)

const (
	SourceLevelOds = 1
	SourceLevelDws = 2
)
